enchant();

// Here we create the class from scratch to display multiple bears
Bear = Class.create(Sprite, // extend the sprite class
{
    initialize: function(x, y) { //initialization
        Sprite.call(this, 32, 32); //initialize the sprite object
        this.image = game.assets['chara1.gif'];
        this.x = x;
        this.y = y;
        this.frame = 0;
        game.rootScene.addChild(this);
    },
    //define the enterframe event listener
    onenterframe: function() {
        if (this.age % 4 > 0) return; //slows down the process a bit; makes the following code run only once every four frames
        //move slightly to the right
        this.x++;

        //animate the bear
        if (this.frame == 2) //if the bear is using frame 2...
        this.frame = 0; //reset the frame back to 0
        this.frame++; //increase the frame # used by one
    },
});

window.onload = function() {
    game = new Game(320, 320);
    game.preload('chara1.gif');
    game.onload = function() {
        //↓this is a for loop, and repeats the code enclosed by{} a specified number of times
        for (a = 0; a < 5; a++) { //repeat 5 times 
            bear = new Bear(10, a * 32); //the value of a goes from 0 to 4 as the code loops
        }
    }
    game.start();
}